#pragma once
#include "Entity.h"
#define CS_IGORANI_CREATENAME L"CS_igor_animate"
//ÒÁ¸ê¶û
class CS_IgorAni :
    public Entity
{
public:
    CS_IgorAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    int wink_counter = 0;
};

std::shared_ptr<Entity> CreateCS_IgorAni();